sx, sy, sz = GetInt("size", 100, 30, 100)
flor = GetString("floor", "BUILT-IN/brush/floor/concrete_wet_gray.vox", "brush vox")
step = GetInt("step", 2)
height = {}

function init()
	local rockMat = CreateMaterial("rock", 0.3, 0.3, 0.3)
	local concreteMat = CreateMaterial("masonry", 0.4, 0.4, 0.4)
	local floorMat = CreateBrush(flor)
	Vox(0,0,0)

	local t = 2

	Material(concreteMat)
	Box(1, 0, 1, sx-1, sy, sz-1)

	Material(rockMat)
	for i = 0, sy-1 do
		Box(1+i*step+2, i, 1+i*step+2, sx-1-i*step-2, i+1, sz-1-i*step-2)
	end

	Material(floorMat)
	Box(t, sy-1, t, sx-t, sy, sz-t)
end

